USB_EP_DISABLE(9)

NAME
usb_ep_disable - endpoint is no longer usable

SYNOPSIS

int usb_ep_disable(struct usb_ep * ep);

ARGUMENTS

ep
    the endpoint being unconfigured. may not be the endpoint named “ep0”.

DESCRIPTION

no other task may be using this endpoint when this is called. any pending and uncompleted requests will complete with status indicating disconnect (-ESHUTDOWN) before this call returns. gadget drivers must call usb_ep_enable again before queueing requests to the endpoint.

returns zero, or a negative error code.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT